/* Copyright 2009 Palm, Inc.  All rights reserved. */

// see http://developer.palm.com/palm-sdk/jsdoc/symbols/Mojo.html

function PlatformTypeTests() {
}

PlatformTypeTests.prototype.testEmergencyNumbers = function() {
	var good = PlatformType.getListofEmergencyNumbers();
	var bad = [null, undefined, "not_an_emergency_number", "", "918390128309128309", "asdf"];
	good.each(function(n) {
		Mojo.require(PlatformType.isEmergencyNumber(n), "Number "+n+" should be an emergency number.");
	});
	bad.each(function(n) {
		Mojo.requireFalse(PlatformType.isEmergencyNumber(n), "Number "+n+" should not be an emergency number.");
	});
	return Mojo.Test.passed;
};